# Payment

`POST https://api.paybeta.ng/v2/airtime/purchase`

Authentication: `P-API-KEY` header.

The available service are:

_mtn_vtu_

_glo_vtu_

_9mobile_vtu_

_airtel_vtu_

## Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `service` | string | yes |  |
| `phoneNumber` | string | yes |  |
| `amount` | integer | yes |  |
| `reference` | string | yes |  |

## Request: Request body

```json
{
    "service": "mtn_vtu",
    "phoneNumber": "08123333394",
    "amount": 200,
    "reference": "{{$timestamp}}"
}
```

## Response 200: Success

```json
{
    "status": "successful",
    "message": "Transaction successful",
    "data": {
        "reference": "1714742875",
        "amount": 2000,
        "chargedAmount": 1950,
        "commission": 50,
        "biller": "MTN AIRTIME",
        "customerId": "08068539221",
        "previousBalance": 499971725,
        "currentBalance": 499969775,
        "transactionDate": "2024-05-03 14:27:57",
        "transactionId": "1714742877672593466202420"
    }
}
```
